# std::match_results<BidirIt,Alloc>::prefix

From cppreference.com
< cpp‎ | regex‎ | match results

const_reference prefix() const; |  | (since C++11)

Obtains a reference to the std::sub_match object representing the target sequence between the start of the beginning of the target sequence and the start of the entire match of the regular expression.

The behavior is undefined unless ready() == true

### Parameters

(none)

### Return value

Reference to the unmatched prefix.

### Example

Run this code

    #include <iostream>
    #include <regex>
    #include <string>

    int main()
    {
      std::regex re("a(a)*b");
      std::string target("baaaby");
      std::smatch sm;

      std::regex_search(target, sm, re);
      std::cout << sm.prefix().str() << '\n';
    }

Output:

    b

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/regex/match_results/prefix&oldid=74267"